diff --git a/test/ruby/test_keyword.rb b/test/ruby/test_keyword.rb
index a0459553ac..f6e882a8d4 100644
--- a/test/ruby/test_keyword.rb
+++ b/test/ruby/test_keyword.rb
@@ -2971,33 +2971,33 @@ def method_missing(*args)
     assert_equal([[h1], {}], o.foo_dbar(h1, **{}))
     assert_equal([h1], o.foo_dbaz(h1, **{}))
 
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[1], h1], o.foo(:dbar, 1, h1))
     end
     assert_equal([1, h1], o.foo(:dbaz, 1, h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[1], h1], o.bfoo(:dbar, 1, h1))
     end
     assert_equal([1, h1], o.bfoo(:dbaz, 1, h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[1], h1], o.store_foo(:dbar, 1, h1))
     end
     assert_equal([1, h1], o.store_foo(:dbaz, 1, h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal([[1], h1], o.foo_dbar(1, h1))
     end
     assert_equal([1, h1], o.foo_dbaz(1, h1))
 
     assert_equal([[1], h1], o.block(1, :a=>1))
     assert_equal([[1], h1], o.block(1, **h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `call'/m) do
       assert_equal([[1], h1], o.block(1, h1))
     end
     assert_equal([[h1], {}], o.block(h1, **{}))
 
     assert_equal([[1], h1], o.cfunc(1, :a=>1))
     assert_equal([[1], h1], o.cfunc(1, **h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `initialize'/m) do
       assert_equal([[1], h1], o.cfunc(1, h1))
     end
     assert_equal([[h1], {}], o.cfunc(h1, **{}))
@@ -3005,7 +3005,7 @@ def method_missing(*args)
     o = mmkw.new
     assert_equal([[:b, 1], h1], o.b(1, :a=>1))
     assert_equal([[:b, 1], h1], o.b(1, **h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal([[:b, 1], h1], o.b(1, h1))
     end
     assert_equal([[:b, h1], {}], o.b(h1, **{}))
@@ -3019,7 +3019,7 @@ def method_missing(*args)
     o = implicit_super.new
     assert_equal([[1], h1], o.bar(1, :a=>1))
     assert_equal([[1], h1], o.bar(1, **h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
       assert_equal([[1], h1], o.bar(1, h1))
     end
     assert_equal([[h1], {}], o.bar(h1, **{}))
@@ -3032,7 +3032,7 @@ def method_missing(*args)
     o = explicit_super.new
     assert_equal([[1], h1], o.bar(1, :a=>1))
     assert_equal([[1], h1], o.bar(1, **h1))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
       assert_equal([[1], h1], o.bar(1, h1))
     end
     assert_equal([[h1], {}], o.bar(h1, **{}))
@@ -3048,15 +3048,15 @@ def bar(*args, **kw)
         [args, kw]
       end
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `bar'/m) do
       assert_equal([[1], h1], o.foo(:pass_bar, 1, :a=>1))
     end
 
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `initialize'/m) do
       assert_equal([[1], h1], o.foo(:pass_cfunc, 1, :a=>1))
     end
 
-    assert_warn(/Skipping set of ruby2_keywords flag for bar \(method accepts keywords or method does not accept argument splat\)/) do
+    assert_warning(/Skipping set of ruby2_keywords flag for bar \(method accepts keywords or method does not accept argument splat\)/) do
       assert_nil(c.send(:ruby2_keywords, :bar))
     end
 
@@ -3064,15 +3064,15 @@ def bar(*args, **kw)
     class << o
       alias bar p
     end
-    assert_warn(/Skipping set of ruby2_keywords flag for bar \(method not defined in Ruby\)/) do
+    assert_warning(/Skipping set of ruby2_keywords flag for bar \(method not defined in Ruby\)/) do
       assert_nil(o.singleton_class.send(:ruby2_keywords, :bar))
     end
     sc = Class.new(c)
-    assert_warn(/Skipping set of ruby2_keywords flag for bar \(can only set in method defining module\)/) do
+    assert_warning(/Skipping set of ruby2_keywords flag for bar \(can only set in method defining module\)/) do
       sc.send(:ruby2_keywords, :bar)
     end
     m = Module.new
-    assert_warn(/Skipping set of ruby2_keywords flag for system \(can only set in method defining module\)/) do
+    assert_warning(/Skipping set of ruby2_keywords flag for system \(can only set in method defining module\)/) do
       m.send(:ruby2_keywords, :system)
     end
 
@@ -3142,23 +3142,23 @@ def c.dig(**args)
     end
     assert_equal(c, [c].dig(0, **{}))
     assert_equal(c, [c].dig(0, **kw))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal(h, [c].dig(0, **h))
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal(h, [c].dig(0, a: 1))
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
       assert_raise(ArgumentError) { [c].dig(0, **h3) }
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
       assert_raise(ArgumentError) { [c].dig(0, a: 1, **h2) }
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal(h, [c].dig(0, h))
     end
     assert_raise(ArgumentError) { [c].dig(0, h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
       assert_raise(ArgumentError) { [c].dig(0, h3) }
     end
 
@@ -3180,24 +3180,24 @@ def c.dig(arg=1, **args)
     end
     assert_equal(c, [c].dig(0, **{}))
     assert_equal(c, [c].dig(0, **kw))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal([1, h], [c].dig(0, **h))
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal([1, h], [c].dig(0, a: 1))
     end
     assert_equal([h2, kw], [c].dig(0, **h2))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal([h2, h], [c].dig(0, **h3))
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal([h2, h], [c].dig(0, a: 1, **h2))
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal([1, h], [c].dig(0, h))
     end
     assert_equal([h2, kw], [c].dig(0, h2))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `dig'/m) do
       assert_equal([h2, h], [c].dig(0, h3))
     end
     assert_equal([h, kw], [c].dig(0, h, **{}))
@@ -3252,23 +3252,23 @@ def c.method_missing(_, **args)
     end
     assert_equal(c, [c].dig(0, **{}))
     assert_equal(c, [c].dig(0, **kw))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal(h, [c].dig(0, **h))
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal(h, [c].dig(0, a: 1))
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_raise(ArgumentError) { [c].dig(0, **h3) }
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_raise(ArgumentError) { [c].dig(0, a: 1, **h2) }
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal(h, [c].dig(0, h))
     end
     assert_raise(ArgumentError) { [c].dig(0, h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_raise(ArgumentError) { [c].dig(0, h3) }
     end
 
@@ -3290,24 +3290,24 @@ def c.method_missing(_, arg=1, **args)
     end
     assert_equal(c, [c].dig(0, **{}))
     assert_equal(c, [c].dig(0, **kw))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal([1, h], [c].dig(0, **h))
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal([1, h], [c].dig(0, a: 1))
     end
     assert_equal([h2, kw], [c].dig(0, **h2))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal([h2, h], [c].dig(0, **h3))
     end
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal([h2, h], [c].dig(0, a: 1, **h2))
     end
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal([1, h], [c].dig(0, h))
     end
     assert_equal([h2, kw], [c].dig(0, h2))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `method_missing'/m) do
       assert_equal([h2, h], [c].dig(0, h3))
     end
     assert_equal([h, kw], [c].dig(0, h, **{}))
@@ -3342,10 +3342,10 @@ def test_enumerator_size_kwsplat
     assert_raise(ArgumentError) { c.to_enum(:each, a: 1, **h2, &m).size }
 
     m = ->(args){ args }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, c.to_enum(:each, **{}, &m).size)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal(kw, c.to_enum(:each, **kw, &m).size)
     end
     assert_equal(kw, c.to_enum(:each, kw, **kw, &m).size)
@@ -3363,34 +3363,34 @@ def test_enumerator_size_kwsplat
     assert_equal(h2, c.to_enum(:each, **h2, &m).size)
     assert_equal(h3, c.to_enum(:each, **h3, &m).size)
     assert_equal(h3, c.to_enum(:each, a: 1, **h2, &m).size)
-    assert_warn(/Using the last argument as keyword parameters is deprecated/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/m) do
       assert_equal(h, c.to_enum(:each, h, &m).size)
     end
     assert_raise(ArgumentError) { c.to_enum(:each, h2, &m).size }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
       assert_raise(ArgumentError) { c.to_enum(:each, h3, &m).size }
     end
 
     m = ->(arg, **args){ [arg, args] }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       c.to_enum(:each, **{}, &m).size
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       c.to_enum(:each, **kw, &m).size
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h, kw], c.to_enum(:each, **h, &m).size)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h, kw], c.to_enum(:each, a: 1, &m).size)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h2, kw], c.to_enum(:each, **h2, &m).size)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h3, kw], c.to_enum(:each, **h3, &m).size)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/m) do
       assert_equal([h3, kw], c.to_enum(:each, a: 1, **h2, &m).size)
     end
     assert_equal([h, kw], c.to_enum(:each, h, &m).size)
@@ -3405,11 +3405,11 @@ def test_enumerator_size_kwsplat
     assert_equal([1, h2], c.to_enum(:each, **h2, &m).size)
     assert_equal([1, h3], c.to_enum(:each, **h3, &m).size)
     assert_equal([1, h3], c.to_enum(:each, a: 1, **h2, &m).size)
-    assert_warn(/Using the last argument as keyword parameters is deprecated/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/m) do
       assert_equal([1, h], c.to_enum(:each, h, &m).size)
     end
     assert_equal([h2, kw], c.to_enum(:each, h2, &m).size)
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
       assert_equal([h2, h], c.to_enum(:each, h3, &m).size)
     end
   end
@@ -3440,10 +3440,10 @@ def test_instance_exec_kwsplat
     assert_raise(ArgumentError) { c.instance_exec(a: 1, **h2, &m) }
 
     m = ->(args) { args }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal(kw, c.instance_exec(**{}, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal(kw, c.instance_exec(**kw, &m))
     end
     assert_equal(kw, c.instance_exec(kw, **kw, &m))
@@ -3461,34 +3461,34 @@ def test_instance_exec_kwsplat
     assert_equal(h2, c.instance_exec(**h2, &m))
     assert_equal(h3, c.instance_exec(**h3, &m))
     assert_equal(h3, c.instance_exec(a: 1, **h2, &m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/) do
       assert_equal(h, c.instance_exec(h, &m))
     end
     assert_raise(ArgumentError) { c.instance_exec(h2, &m) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/) do
       assert_raise(ArgumentError) { c.instance_exec(h3, &m) }
     end
 
     m = ->(arg, **args) { [arg, args] }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       c.instance_exec(**{}, &m)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       c.instance_exec(**kw, &m)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, kw], c.instance_exec(**h, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, kw], c.instance_exec(a: 1, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, kw], c.instance_exec(**h2, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, kw], c.instance_exec(**h3, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, kw], c.instance_exec(a: 1, **h2, &m))
     end
     assert_equal([h, kw], c.instance_exec(h, &m))
@@ -3503,11 +3503,11 @@ def test_instance_exec_kwsplat
     assert_equal([1, h2], c.instance_exec(**h2, &m))
     assert_equal([1, h3], c.instance_exec(**h3, &m))
     assert_equal([1, h3], c.instance_exec(a: 1, **h2, &m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/m) do
       assert_equal([1, h], c.instance_exec(h, &m))
     end
     assert_equal([h2, kw], c.instance_exec(h2, &m))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/m) do
       assert_equal([h2, h], c.instance_exec(h3, &m))
     end
   end
@@ -3548,10 +3548,10 @@ def c.m(args)
       args
     end
     m  = c.method(:m)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal(kw, c.instance_exec(**{}, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal(kw, c.instance_exec(**kw, &m))
     end
     assert_equal(kw, c.instance_exec(kw, **kw, &m))
@@ -3573,11 +3573,11 @@ def c.m(**args)
     assert_equal(h2, c.instance_exec(**h2, &m))
     assert_equal(h3, c.instance_exec(**h3, &m))
     assert_equal(h3, c.instance_exec(a: 1, **h2, &m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/) do
       assert_equal(h, c.instance_exec(h, &m))
     end
     assert_raise(ArgumentError) { c.instance_exec(h2, &m) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/) do
       assert_raise(ArgumentError) { c.instance_exec(h3, &m) }
     end
 
@@ -3586,25 +3586,25 @@ def c.m(arg, **args)
       [arg, args]
     end
     m  = c.method(:m)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       c.instance_exec(**{}, &m)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       c.instance_exec(**kw, &m)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, kw], c.instance_exec(**h, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, kw], c.instance_exec(a: 1, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, kw], c.instance_exec(**h2, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, kw], c.instance_exec(**h3, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, kw], c.instance_exec(a: 1, **h2, &m))
     end
     assert_equal([h, kw], c.instance_exec(h, &m))
@@ -3623,11 +3623,11 @@ def c.m(arg=1, **args)
     assert_equal([1, h2], c.instance_exec(**h2, &m))
     assert_equal([1, h3], c.instance_exec(**h3, &m))
     assert_equal([1, h3], c.instance_exec(a: 1, **h2, &m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/m) do
       assert_equal([1, h], c.instance_exec(h, &m))
     end
     assert_equal([h2, kw], c.instance_exec(h2, &m))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/) do
       assert_equal([h2, h], c.instance_exec(h3, &m))
     end
   end
@@ -3668,10 +3668,10 @@ def test_instance_exec_define_method_kwsplat
       args
     end
     m  = c.method(:m)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal(kw, c.instance_exec(**{}, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal(kw, c.instance_exec(**kw, &m))
     end
     assert_equal(kw, c.instance_exec(kw, **kw, &m))
@@ -3693,11 +3693,11 @@ def test_instance_exec_define_method_kwsplat
     assert_equal(h2, c.instance_exec(**h2, &m))
     assert_equal(h3, c.instance_exec(**h3, &m))
     assert_equal(h3, c.instance_exec(a: 1, **h2, &m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/) do
       assert_equal(h, c.instance_exec(h, &m))
     end
     assert_raise(ArgumentError) { c.instance_exec(h2, &m) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/) do
       assert_raise(ArgumentError) { c.instance_exec(h3, &m) }
     end
 
@@ -3706,25 +3706,25 @@ def test_instance_exec_define_method_kwsplat
       [arg, args]
     end
     m  = c.method(:m)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       c.instance_exec(**{}, &m)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       c.instance_exec(**kw, &m)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, kw], c.instance_exec(**h, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, kw], c.instance_exec(a: 1, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, kw], c.instance_exec(**h2, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, kw], c.instance_exec(**h3, &m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, kw], c.instance_exec(a: 1, **h2, &m))
     end
     assert_equal([h, kw], c.instance_exec(h, &m))
@@ -3743,11 +3743,11 @@ def test_instance_exec_define_method_kwsplat
     assert_equal([1, h2], c.instance_exec(**h2, &m))
     assert_equal([1, h3], c.instance_exec(**h3, &m))
     assert_equal([1, h3], c.instance_exec(a: 1, **h2, &m))
-    assert_warn(/Using the last argument as keyword parameters is deprecated/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated/m) do
       assert_equal([1, h], c.instance_exec(h, &m))
     end
     assert_equal([h2, kw], c.instance_exec(h2, &m))
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated/) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated/) do
       assert_equal([h2, h], c.instance_exec(h3, &m))
     end
   end
@@ -3785,10 +3785,10 @@ def c.m
     def c.m(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal(kw, c.instance_exec(c, **{}, &:m))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal(kw, c.instance_exec(c, **kw, &:m))
     end
     assert_equal(kw, c.instance_exec(c, kw, **kw, &:m))
